Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038657
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-05-30 11:372018-06-22 12:40
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision9a1c5f99b2d1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038657: Wrong cashvat posting when several orders are partially invoiced in same invoice and invoice is fully paid

DescriptionWrong cashvat posting when several orders are partially invoiced in same invoice and invoice is fully paid
Steps To Reproduce0. Install last Cash VAT Management version 1.0.400 and follow configuration guide: http://wiki.openbravo.com/wiki/Cash_VAT_Management/User_Documentation#Cash_VAT_Tax_Rate_configuration [^]
1. Register Sales Order for any Org and BP. Set Invoice Terms=Immediate and Cash vat=Y. Add line for any product and set qty=10. Ensure that tax set in order line is configured as Cash Vat=Y. Process Order
2. Register Sales Order for SAME Org and BP. Set Invoice Terms=Immediate and Cash vat=Y. Add line for SAME product and set qty=20. Ensure that tax set in order line is configured as Cash Vat=Y. Process Order
3. Register Sales Invoice for SAME Org and BP. Run "Create lines from" process and select previous orders. Edit order lines to set lower qtys (for example 5 units and 10 units). Process Invoice. Post invoice and realize that Tax Amount is properly posted to transitory account
4. Run Add Payment process to fully paid the invoice. Post payment document and realize that Tax Amount is not correct as only amount corresponding with one order is being moved from transitory account to tax account
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105289)
AtulOpenbravo (developer)
2018-06-21 03:59
edited on: 2018-06-21 04:00

Test Plan

- Install last Cash VAT Management version 1.0.400 and follow configuration guide: http://wiki.openbravo.com/wiki/Cash_VAT_Management/User_Documentation#Cash_VAT_Tax_Rate_configuration [^] [^]
for eg: Tax Name: Cash VAT 10%, Rate = 10.
- Register Sales Order for any Org and BP. Set Invoice Terms=Immediate and Cash vat=Y. Add line for any product and set qty=10, Unit Price 100. Ensure that tax set in order line is configured as Cash Vat=Y. Process Order
Total Gross Amount = 1100.
- Register Sales Order for SAME Org and BP. Set Invoice Terms=Immediate and Cash vat=Y. Add line for SAME product and set qty=20, Unit Price 200. Ensure that tax set in order line is configured as Cash Vat=Y. Process Order
Total Gross Amount = 2200.
- Register Sales Invoice for SAME Org and BP. Run "Create lines from" process and select previous orders. Edit order lines to set lower qtys (for example 5 units and 10 units). Process Invoice.
Total Gross Amount = 1650, Total Net Amount:1500, Line 1:500, Line 2:1000
- Post invoice and realize that Tax Amount is properly posted to transitory
account.

Account 43000 DEBIT 1650 (Account Receivables)
Account 70000 CREDIT 1000 (Product Revenue)
Account 70000 CREDIT 0500 (Product Revenue)
Account 47701 CREDIT 0150 (Cash Vat Due)

- Run Add Payment process to fully paid the invoice.
Post payment document and realize that Tax Amount is correct and amount corresponding with both order is being moved from transitory account to tax account.

Account 57200 DEBIT 1650 (Account Receivables)
Account 47701 DEBIT 0150 (Cash Vat Due) [100 from one Order, 50 from second order = 100+50 = 150]
Account 43000 CREDIT 1650 (Product Revenue)
Account 47700 CREDIT 0150 (Product Revenue)

Similar flow tested by posting PAYMENT IN / OUT, FINANCIAL ACCOUNT TRANSACTION, RECONCILIATION

(0105324)
hgbot (developer)
2018-06-22 08:36

Repository: erp/devel/pi
Changeset: 9a1c5f99b2d1edee927ef4e8c0c8796888d4a777
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 22 01:56:11 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9a1c5f99b2d1edee927ef4e8c0c8796888d4a777 [^]

Fixes Issue 0038657: Wrong cashvat posting when several orders
are partially invoiced in same invoice and invoice is fully paid

Along with BigDecimal.ONE value check for merged payment detail,
NotEmpty check for MergedPaymentDetailId is done while posting
Payment, Financial Account Transaction and Reconciliation

---
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0105325)
Sandrahuguet (developer)
2018-06-22 08:41

Code review + testing OK
(0105338)
hudsonbot (developer)
2018-06-22 12:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31731ad72b18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-30 11:37 maite New Issue
2018-05-30 11:37 maite Assigned To => Triage Finance
2018-05-30 11:37 maite Modules => Core
2018-05-30 11:37 maite Triggers an Emergency Pack => No
2018-05-30 11:38 maite Issue Monitored: networkb
2018-05-31 16:34 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-11 23:34 AtulOpenbravo Status new => scheduled
2018-06-21 03:59 AtulOpenbravo Note Added: 0105289
2018-06-21 04:00 AtulOpenbravo Note Edited: 0105289 View Revisions
2018-06-22 08:36 hgbot Checkin
2018-06-22 08:36 hgbot Note Added: 0105324
2018-06-22 08:36 hgbot Status scheduled => resolved
2018-06-22 08:36 hgbot Resolution open => fixed
2018-06-22 08:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9a1c5f99b2d1edee927ef4e8c0c8796888d4a777 [^]
2018-06-22 08:41 Sandrahuguet Review Assigned To => Sandrahuguet
2018-06-22 08:41 Sandrahuguet Note Added: 0105325
2018-06-22 08:41 Sandrahuguet Status resolved => closed
2018-06-22 08:41 Sandrahuguet Fixed in Version => 3.0PR18Q3
2018-06-22 12:40 hudsonbot Checkin
2018-06-22 12:40 hudsonbot Note Added: 0105338


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker